aboutsummaryrefslogtreecommitdiff
path: root/src/opendkim/opendkim.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/opendkim/opendkim.rc')
-rwxr-xr-xsrc/opendkim/opendkim.rc39
1 files changed, 39 insertions, 0 deletions
diff --git a/src/opendkim/opendkim.rc b/src/opendkim/opendkim.rc
new file mode 100755
index 0000000..f87bfcf
--- /dev/null
+++ b/src/opendkim/opendkim.rc
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/opendkim
+
+PID=`pidof -o %PPID /usr/sbin/opendkim`
+case "$1" in
+ start)
+ stat_busy "Starting OpenDKIM filter"
+ if [ -z "$PID" ]; then
+ /usr/sbin/opendkim $OPENDKIM_FILTER > /dev/null &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon dkim
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping OpenDKIM filter"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon dkim
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0